from sqlalchemy import Numeric
from dictionaries.versions import views_helper

table_name = 'certificate'

column_min = 'minsum'
column_max = 'maxsum'
column_multiple = 'multiplesum'


def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_min, Numeric(precision=13, scale=2))
    views_helper.create_column(migrate_engine, table_name, column_max, Numeric(precision=13, scale=2))
    views_helper.create_column(migrate_engine, table_name, column_multiple, Numeric(precision=13, scale=2))

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_min, Numeric(precision=13, scale=2))
    views_helper.drop_column(migrate_engine, table_name, column_max, Numeric(precision=13, scale=2))
    views_helper.drop_column(migrate_engine, table_name, column_multiple, Numeric(precision=13, scale=2))