from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper


def getTable(meta):
    return Table('consultant', meta,
                 Column('code', String(30), nullable=False, primary_key=True),
                 Column('password', String(255), nullable=False),
                 Column('name', String(255), nullable=True),
                 )


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getTable(meta))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTable(meta))
