from sqlalchemy import *
from migrate import *

tableName = 'couponitem'
columnName = 'generatednumber'

def getTable(meta):
    return Table(tableName, meta, autoload = True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    table = getTable(meta)

    if columnName not in table.columns:
        Column(columnName, String(100), nullable = True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    table = getTable(meta)

    if columnName in table.columns:
        Column(columnName, String(100), nullable = True).drop(table)
