from sqlalchemy import Integer
from dictionaries.versions import views_helper

table_name = 'tmc'
column_name = 'alctypecode'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_name, column_type=Integer, isBigTable=True)

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_name, column_type=Integer, isBigTable=True)
