# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
from documents.versions import dump

def getTable(meta):
    return Table('document', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    tbl = getTable(meta)
    tbl.c.identifier.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getTable(meta)
    tbl.c.identifier.alter(type=String(30))
